Overview | Package | Class | Tree | Deprecated | Index | Help
| exe4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.exe4j
Class Controller

    java.lang.Object
      com.exe4j.Controller

    public class Controller

extends java.lang.Object

This class allows you to control the native splash screen of a generated executable from your Java code and register a StartupListener to receive startup events in single instance mode.

In order to use this class, please include `exe4jlib.jar` from your exe4j installation into your class path. You do not need to distribute this file along with your application, exe4j will do this automatically for you.

Author:
  ej-technologies GmbH

Nested Class Summary
`static class` | `Controller.ConnectionException` The exception thrown by methods of the `Controller` class to indicate that a splash screen operation was not successful.
`static interface` | `Controller.StartupListener` The interface for startup events in single instance mode.

Method Summary
`static void` | `hide()` Programmatically hide the native splash screen.
`static void` | `registerStartupListener(Controller.StartupListener startupListener)` Register a StartupListener to receive startup events in single instance mode.
`static void` | `writeMessage(java.lang.String message)` Update the status text line of the native splash screen with a different text.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### writeMessage

    public static void writeMessage(java.lang.String message)
                             throws Controller.ConnectionException

  Update the status text line of the native splash screen with a different text.

  Parameters:
    `message` - the new text
  Throws:
    `Controller.ConnectionException`

### hide

    public static void hide()
                     throws Controller.ConnectionException

  Programmatically hide the native splash screen. If the "auto-off" mode is enabled for the splash screen, programmatic hiding may not be necessary if you want the splash screen to disappear with the showing of the first window.

  Throws:
    `Controller.ConnectionException`

### registerStartupListener

    public static void registerStartupListener(Controller.StartupListener startupListener)

  Register a StartupListener to receive startup events in single instance mode.

Overview | Package | Class | Tree | Deprecated | Index | Help
| exe4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD